## coq-math-classes 8.19.0

=== SConstruct ===
import os

env = DefaultEnvironment(ENV = os.environ, tools=['default', 'Coq'])
(vs, vos, globs) = env.SConscript(dirs='.')

env['COQFLAGS'] = Rs = ' -R . MathClasses '

Default('implementations', 'theory', 'categories', 'orders', 'varieties', 'misc', 'functors')

env.CoqDoc(env.Dir('coqdoc'), vs, COQDOCFLAGS='-utf8 --toc -g --no-lib-name http://coq.inria.fr/library')
  # Todo: Do "patch --backup $TARGET/coqdoc.css ../tools/coqdoc.css.diff", including the dependency on the .diff file.
  # Note: The generated documentation is no good, because of Coq bug #2423.

vs_string = ' '.join(map(str, vs))

os.system('coqdep ' + Rs + vs_string + ' > deps')
ParseDepends('deps')

open('coqidescript', 'w').write('#!/bin/sh\ncoqide ' + Rs + ' $@ \n')
os.chmod('coqidescript', 0755)

env.Command('deps.dot', [], '../tools/DepsToDot.hs < deps > $TARGET')

## coq-math-classes 8.15.0

=== debian/changelog ===
coq-math-classes (8.15.0-4) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 13:07:10 +0100

coq-math-classes (8.15.0-3) unstable; urgency=medium

  * Simplify autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 16 Jul 2022 12:22:15 +0200

coq-math-classes (8.15.0-2) unstable; urgency=medium

  * Complete d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 08 Jul 2022 08:06:04 +0200

coq-math-classes (8.15.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1014059)

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Jun 2022 17:18:52 +0200

=== debian/control ===
Source: coq-math-classes
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-core-ocaml-dev, libcoq-bignums,
               libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-math-classes
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-math-classes.git
Homepage: https://github.com/coq-community/math-classes

Package: libcoq-math-classes
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: Abstract interfaces for mathematical structures for Coq
 This library provides abstract interfaces for mathematical
 structures for Coq, such as:
 - algebraic hierarchy (groups, rings, fields, ...)
 - relations, orders, ...
 - Categories, functors, universal algebra, ...
 - Numbers: N, Z, Q, ...
 - Operations (shift, power, abs, ...).
 .
 Coq is a proof assistant for higher-order logic.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with coq

override_dh_auto_clean:
	# modifies sources!

override_dh_auto_configure:
	./configure.sh

## coq-math-classes 8.17.0

=== debian/changelog ===
coq-math-classes (8.17.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 13 Jun 2023 07:08:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
@@ -22,10 +22,10 @@
 Description: Abstract interfaces for mathematical structures for Coq
  This library provides abstract interfaces for mathematical
  structures for Coq, such as:
- - algebraic hierarchy (groups, rings, fields, ...)
- - relations, orders, ...
- - Categories, functors, universal algebra, ...
- - Numbers: N, Z, Q, ...
- - Operations (shift, power, abs, ...).
+  - algebraic hierarchy (groups, rings, fields, ...)
+  - relations, orders, ...
+  - Categories, functors, universal algebra, ...
+  - Numbers: N, Z, Q, ...
+  - Operations (shift, power, abs, ...).
  .
  Coq is a proof assistant for higher-order logic.

## coq-math-classes 8.18.0

=== debian/changelog ===
coq-math-classes (8.18.0-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:17:55 +0200

coq-math-classes (8.18.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:54:42 +0000

coq-math-classes (8.18.0-1build1) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:14:11 +0000

coq-math-classes (8.18.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.

  [ Julien Puydt ]
  * Fix d/rules clean target (Closes: #1044914).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 17:09:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: coq-math-classes
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with coq

override_dh_auto_clean:
	make clean
	rm -f _CoqProject Makefile.coq.conf .lia.cache
	find . -name "*.aux" -delete

override_dh_auto_configure:
	./configure.sh

## coq-math-classes 8.19.0

=== debian/changelog ===
coq-math-classes (8.19.0-1build13) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:12:07 +0100

coq-math-classes (8.19.0-1build12) plucky; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 20:54:35 -0500

coq-math-classes (8.19.0-1build11) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:44:20 +0100

coq-math-classes (8.19.0-1build10) plucky; urgency=medium

  * Rebuild against latest ocaml

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Feb 2025 20:22:14 -0500

coq-math-classes (8.19.0-1build9) plucky; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 21:31:36 -0500

coq-math-classes (8.19.0-1build8) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 19:20:11 +0200

coq-math-classes (8.19.0-1build7) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 09:04:05 +0200

coq-math-classes (8.19.0-1build6) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Aug 2024 08:40:56 +0200

coq-math-classes (8.19.0-1build5) oracular; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Aug 2024 15:25:11 -0400

coq-math-classes (8.19.0-1build4) oracular; urgency=medium

  * Rebuild against latest coq-bignums

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 29 Jun 2024 20:10:08 -0400

coq-math-classes (8.19.0-1build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jun 2024 16:38:10 +0200

coq-math-classes (8.19.0-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 12 May 2024 08:21:48 +0200

coq-math-classes (8.19.0-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 22:12:58 +0200

coq-math-classes (8.19.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 26 Apr 2024 14:47:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: coq-math-classes
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

## coq-math-classes 9.0.0

=== Makefile ===
all: Makefile.coq
	+make -f Makefile.coq all

clean: Makefile.coq
	+make -f Makefile.coq clean
	rm -f Makefile.coq

Makefile.coq: _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

_CoqProject:
	./configure.sh

%: Makefile.coq
	+make -f Makefile.coq $@

.PHONY: all clean

=== debian/changelog ===
coq-math-classes (9.0.0-1) experimental; urgency=medium

  * Bump standards-version to 4.7.2.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 10:09:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_OPTIONS += noautodbgsym
 
 %:
 	dh $@ --with coq

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom MathClasses theory.functors
Depends: coq, @
